//----------------------------------------------------------------------------
// LEDlp32.hpp - bcbdcc32 generated hdr (DO NOT EDIT) rev: 0
// From: LEDlp32.pas
//----------------------------------------------------------------------------
#ifndef LEDlp32HPP
#define LEDlp32HPP
//----------------------------------------------------------------------------
#include <DsgnIntf.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
#include <Forms.hpp>
#include <Controls.hpp>
#include <Graphics.hpp>
#include <Classes.hpp>
#include <Messages.hpp>
#include <SysUtils.hpp>
#include <Ledlp32a.hpp>
#include <Windows.hpp>
#include <System.hpp>
namespace Ledlp32
{
//-- type declarations -------------------------------------------------------
struct TLEditPosition;
typedef TLEditPosition *PLEditPosition;

struct TLEditPosition
{
	short StartPosition;
	short EndPosition;
	long StartLine;
	long EndLine;
} ;

struct TSyntax;
typedef TSyntax *PSyntax;

#pragma pack(push, 1)
struct TSyntax
{
	char cFirst;
	char cSecond;
} ;
#pragma pack(pop)

struct TWordDesc;
typedef TWordDesc *PWordDesc;

struct TWordDesc
{
	HWND hwndSender;
	Word wCode;
	long dwValue;
	char caWord[1024];
} ;

struct TDrawPage;
typedef TDrawPage *PDrawPage;

struct TDrawPage
{
	Word wHeight;
	Word wWidth;
	Word wWordWrapWidth;
	long dwFirstLine;
	Word wSkip;
} ;

struct TLEditGroup;
typedef TLEditGroup *PLEditGroup;

struct TLEditGroup
{
	long Number;
	HWND Wnd;
	TLEditGroup *Prev;
	TLEditGroup *Next;
} ;

enum TLEScrollStyle { lsNone, lsHorizontal, lsVertical, lsBoth };

enum TLEPopupStyle { psNone, psStandard, psDelphi };

enum TLEInitStyle { isFile, isCustom };

enum TLESpaceStyle { slNone, slSmall, slMedium, slLarge };

enum TLEBraceStyle { brNone, brLeftBrace, brRightBrace, brNoCaseLeftBrace, brNoCaseRightBrace };

enum TLEPaintStyle { dsNone, dsDirect, dsUseMemoryDC };

enum TLEBookmarkStyle { bmInActive, bmForeColor, bmBackColor, bmFullColor };

enum TLEDialogStyle { dsFindReplace, dsOpenSave, dsPrint, dsPrinterSetup, dsPrintProgress, dsFont, dsGotoLine 
	};

enum TLETranslateStyle { tsToLeft, tsNearest };

typedef Byte TLEBookmarkNum;

typedef Word TLEBookmarksMax;

enum TLESearchDir { sdUp, sdDown, sdDownWithWrap };

typedef Shortint TLEModifyFlag;

typedef Shortint TLETabStopSize;

typedef void __fastcall (__closure *TCHEvent)(System::TObject* Sender, Word WordType, long WordValue
	,  System::AnsiString WordStr, Graphics::TColor &ForeClr, Graphics::TColor &BackClr);

typedef void __fastcall (__closure *TFBEvent)(System::TObject* Sender, Word WordType, long WordValue
	,  System::AnsiString WordStr, TLEBraceStyle &BraceType);

typedef void __fastcall (__closure *TWordClickEvent)(System::TObject* Sender, Word WordType, long WordValue
	,  System::AnsiString WordStr, bool &WordHandled);

typedef void __fastcall (__closure *TPaintEvent)(System::TObject* Sender, Graphics::TCanvas* DCHandle
	, const Windows::TRect &ClientArea);

typedef void __fastcall (__closure *TPrintEvent)(System::TObject* Sender, Graphics::TCanvas* PrintDC
	, Word VerticalSize, Word HorizontalSize, Word &HeaderSize, Word &FooterSize);

typedef void __fastcall (__closure *TWordWrapEvent)(System::TObject* Sender, char * Line, short &Position
	);

typedef void __fastcall (__closure *TNotifyFoundEvent)(System::TObject* Sender, int Code, int &Response
	);

typedef void __fastcall (__closure *TReadPreviewEvent)(System::TObject* Sender, int BufLen, char * &
	Buffer);

class __declspec(delphiclass) TCustomLEdit;
class __declspec(pascalimplementation) TCustomLEdit : public Controls::TWinControl
{
	typedef Controls::TWinControl inherited;
	
private:
	bool F16As32;
	bool FAutoIndent;
	bool FAutoSelect;
	Graphics::TColor FBackColorSel;
	TLEBookmarkStyle FBookmarkAttr;
	Graphics::TColor FBookmarkBackColor;
	Graphics::TColor FBookmarkForeColor;
	long FBookmarkLine;
	TLEBookmarkNum FBookmarkNumber;
	TLEBookmarksMax FBookmarksMax;
	TFormBorderStyle FBorderStyle;
	bool FCanChangeFile;
	bool FCanChangeFont;
	Word FCaretWidth;
	bool FCreating;
	bool FCurrentWordAsText;
	System::AnsiString FDefaultExt;
	bool FDefaultSelection;
	TDrawPage FDrawPage;
	TLESpaceStyle FExtraHorzSpacing;
	TLESpaceStyle FExtraVertSpacing;
	bool FExtraComments;
	int FFakeVer;
	System::AnsiString FFileMask;
	bool FFileMenuExists;
	System::AnsiString FFilename;
	long FFirstVisibleLine;
	Word FFirstVisiblePos;
	Graphics::TColor FForeColorSel;
	int FGroupNumber;
	bool FHasFile;
	TLEPopupStyle FHasMenu;
	bool FHighlight;
	Menus::TPopupMenu* FHoldMenu;
	TLEInitStyle FInitType;
	bool FInsertMode;
	bool FItem2AsComment;
	Ledlp32a::TLEAboutBox* FLEAbout;
	int FLEditVer;
	TLEditPosition FLPos;
	bool FMacStyleSave;
	bool FModified;
	TLEModifyFlag FModifyFlag;
	bool FMultiLineItems;
	bool FMultiLineStrings;
	bool FNoPrintDialog;
	bool FNoPrintProgress;
	Classes::TNotifyEvent FOnAskIfStoreFile;
	Classes::TNotifyEvent FOnChange;
	Classes::TNotifyEvent FOnChangeMode;
	Classes::TNotifyEvent FOnClipboardError;
	TCHEvent FOnControlHighlight;
	Classes::TNotifyEvent FOnFileError;
	TFBEvent FOnFindBrace;
	Classes::TNotifyEvent FOnGoingToClose;
	Classes::TNotifyEvent FOnGotFocus;
	Classes::TNotifyEvent FOnHorzScroll;
	Classes::TNotifyEvent FOnLostFocus;
	Classes::TNotifyEvent FOnMaxLine;
	Classes::TNotifyEvent FOnNewFile;
	Classes::TNotifyEvent FOnNewFont;
	TPaintEvent FOnPaint;
	TPrintEvent FOnPrintPage;
	Classes::TNotifyEvent FOnSpaceError;
	Classes::TNotifyEvent FOnTimeToLoadText;
	Classes::TNotifyEvent FOnVertScroll;
	TWordClickEvent FOnWordClick;
	TWordWrapEvent FOnWordBreak;
	TNotifyFoundEvent FOnNotifyFound;
	TReadPreviewEvent FOnReadPreview;
	long FOwnerTag;
	TLEPaintStyle FPaintMode;
	HMENU FPopupFileHandle;
	HMENU FPopupMenuHandle;
	HMENU FPopupToolsHandle;
	System::AnsiString FPrintJobName;
	bool FReadOnly;
	long FResult;
	Word FWordWrapRMargin;
	TLEScrollStyle FScrollBars;
	TLESearchDir FSearchDirection;
	bool FSearchMatchCase;
	bool FSearchWholeWords;
	bool FSFocus;
	bool FSingleLineStrings;
	Word FSkip;
	bool FStartInComments;
	System::ShortString FSyntax;
	Byte FSyntaxFlags;
	TLETabStopSize FTabStopSize;
	System::AnsiString FSelText;
	System::AnsiString FText;
	System::AnsiString FTextStr;
	short FUndoDepth;
	bool FUnixStyleSave;
	bool FWantReturns;
	bool FWantTabs;
	TWordDesc FWordDesc;
	bool FWordWrap;
	bool FWordWrapAuto;
	short FWordWrapType;
	Word FWordWrapWidth;
	bool FWrapKeys;
	int __fastcall GetBigSelText(void);
	int __fastcall GetBigText(void);
	long __fastcall GetBookmarkLine(void);
	bool __fastcall GetCanClose(void);
	bool __fastcall GetCanRedo(void);
	bool __fastcall GetCanUndo(void);
	TLESpaceStyle __fastcall GetExtraHorzSpacing(void);
	TLESpaceStyle __fastcall GetExtraVertSpacing(void);
	System::AnsiString __fastcall GetFileMask(void);
	System::AnsiString __fastcall GetFilename(void);
	bool __fastcall GetFindNext(void);
	long __fastcall GetFirstVisibleLine(void);
	Word __fastcall GetFirstVisiblePos(void);
	long __fastcall GetHighlightedLine(void);
	long __fastcall GetHighlightedPos(void);
	bool __fastcall GetIsLEdit(void);
	long __fastcall GetLineCount(void);
	int __fastcall GetMenuPopupHandle(void);
	bool __fastcall GetModified(void);
	TLEModifyFlag __fastcall GetModifyFlagNumber(void);
	Word __fastcall GetPageHeight(void);
	Word __fastcall GetPageWidth(void);
	Word __fastcall GetPageWordWrapWidth(void);
	long __fastcall GetPageFirstLine(void);
	Word __fastcall GetPageSkip(void);
	long __fastcall GetPrintedPageNum(void);
	System::AnsiString __fastcall GetReplaceText(void);
	TLESearchDir __fastcall GetSearchDirection(void);
	bool __fastcall GetSearchMatchCase(void);
	System::AnsiString __fastcall GetSearchText(void);
	bool __fastcall GetSearchWholeWords(void);
	long __fastcall GetSelEndLine(void);
	int __fastcall GetSelEndPos(void);
	long __fastcall GetSelLength(void);
	long __fastcall GetSelStartLine(void);
	int __fastcall GetSelStartPos(void);
	System::AnsiString __fastcall GetSelText(void);
	HIDESBASE System::AnsiString __fastcall GetText(void);
	Word __fastcall GetSkip(void);
	long __fastcall GetTextLength(void);
	short __fastcall GetUndoMaxBuffer(void);
	Word __fastcall GetUnitsHorizontal(void);
	Word __fastcall GetUnitsVertical(void);
	Word __fastcall GetWordWrapRMargin(void);
	bool __fastcall IsGoodVersion(void);
	void __fastcall Set16As32(bool Value);
	void __fastcall SetAutoIndent(bool Value);
	void __fastcall SetBackColorSel(Graphics::TColor Value);
	void __fastcall SetBigSelText(int Value);
	void __fastcall SetBigText(int Value);
	void __fastcall SetBookmarkAttr(TLEBookmarkStyle Value);
	void __fastcall SetBookmarkBackColor(Graphics::TColor Value);
	void __fastcall SetBookmarkForeColor(Graphics::TColor Value);
	void __fastcall SetBookmarkLine(long Value);
	void __fastcall SetBookmarkNumber(TLEBookmarkNum Value);
	void __fastcall SetBookmarksMax(TLEBookmarksMax Value);
	void __fastcall SetBorderStyle(Forms::TBorderStyle Value);
	void __fastcall SetCanChangeFile(bool Value);
	void __fastcall SetCanChangeFont(bool Value);
	void __fastcall SetCaretWidth(Word Value);
	void __fastcall SetCurrentWordAsText(bool Value);
	void __fastcall SetDefaultExt( System::AnsiString Value);
	void __fastcall SetDefaultSelection(bool Value);
	void __fastcall SetExtraHorzSpacing(TLESpaceStyle Value);
	void __fastcall SetExtraVertSpacing(TLESpaceStyle Value);
	void __fastcall SetExtraComments(bool Value);
	void __fastcall SetFileMask(const System::AnsiString AFilter);
	void __fastcall SetFilename( System::AnsiString Value);
	void __fastcall SetFirstVisibleLine(long Value);
	void __fastcall SetFirstVisiblePos(Word Value);
	void __fastcall SetForeColorSel(Graphics::TColor Value);
	void __fastcall SetGroupNumber(int Value);
	void __fastcall SetHasMenu(TLEPopupStyle Value);
	void __fastcall SetHighlight(bool Value);
	void __fastcall SetInitType(TLEInitStyle Value);
	void __fastcall SetInsertMode(bool Value);
	void __fastcall SetItem2AsComment(bool Value);
	void __fastcall SetMacStyleSave(bool Value);
	void __fastcall SetModified(bool Value);
	void __fastcall SetModifyFlagNumber(TLEModifyFlag Value);
	void __fastcall SetMultiLineItems(bool Value);
	void __fastcall SetMultiLineStrings(bool Value);
	void __fastcall SetNoPrintDialog(bool Value);
	void __fastcall SetNoPrintProgress(bool Value);
	void __fastcall SetOwnerTag(long Value);
	void __fastcall SetPageHeight(Word Value);
	void __fastcall SetPageWidth(Word Value);
	void __fastcall SetPageWordWrapWidth(Word Value);
	void __fastcall SetPageFirstLine(long Value);
	void __fastcall SetPageSkip(Word Value);
	void __fastcall SetPaintMode(TLEPaintStyle Value);
	void __fastcall SetPrintJobName( System::AnsiString Value);
	void __fastcall SetReplaceText( System::AnsiString Value);
	void __fastcall SetScrollBars(TLEScrollStyle Value);
	void __fastcall SetSearchDirection(TLESearchDir Value);
	void __fastcall SetSearchMatchCase(bool Value);
	void __fastcall SetSearchText( System::AnsiString Value);
	void __fastcall SetSearchWholeWords(bool Value);
	void __fastcall SetSelEndLine(long Value);
	void __fastcall SetSelEndPos(int Value);
	void __fastcall SetSelStartLine(long Value);
	void __fastcall SetSelStartPos(int Value);
	void __fastcall SetSingleLineStrings(bool Value);
	void __fastcall SetSkip(Word Value);
	void __fastcall SetStartInComments(bool Value);
	void __fastcall SetSyntax( System::ShortString &Value);
	void __fastcall SetSelText( System::AnsiString Value);
	HIDESBASE void __fastcall SetText( System::AnsiString Value);
	void __fastcall SetTabStopSize(TLETabStopSize Value);
	void __fastcall SetUndoDepth(short Value);
	void __fastcall SetUnixStyleSave(bool Value);
	void __fastcall SetWordWrap(bool Value);
	void __fastcall SetWordWrapAuto(bool Value);
	void __fastcall SetWordWrapRMargin(Word Value);
	void __fastcall SetWordWrapWidth(Word Value);
	void __fastcall SetWrapKeys(bool Value);
	HWND __fastcall AddGroup(long N, HWND WndL);
	void __fastcall AttachToGroup(int N, HWND Wnd);
	void __fastcall DoControlHighlight(HDC DCHandle);
	void __fastcall DoFindBrace(TLEBraceStyle &BraceType);
	void __fastcall DoPaint(HDC DCHandle, const Windows::TRect &ClientArea);
	void __fastcall DoPrint(HDC PrintDC, Word VSize, Word HSize, Word &HdrSize, Word &FtrSize);
	void __fastcall DoWordBreak(char * Line, short &Pos);
	void __fastcall DoNotifyFound(int Code, int &Response);
	void __fastcall DoReadPreview(int BufLen, char * &Buffer);
	HWND __fastcall FindGroup(long N);
	System::AnsiString __fastcall FormatFilterStr( System::AnsiString Value, Byte FMType);
	System::AnsiString __fastcall GetString(void);
	bool __fastcall IsLEditGroup(HWND Wnd);
	void __fastcall ParseSyntax(char * StringSyntax);
	void __fastcall Set3DBorder(void);
	void __fastcall UpdateHeight(void);
	void __fastcall WordClick(bool &WordHandled);
	void __fastcall DoPopupMenu(Messages::TWMMouse &Message);
	HIDESBASE MESSAGE void __fastcall CMFontChanged(Messages::TMessage &Message);
	HIDESBASE MESSAGE void __fastcall CMCtl3DChanged(Messages::TMessage &Message);
	MESSAGE void __fastcall CNCommand(Messages::TWMCommand &Message);
	MESSAGE void __fastcall EMCtlColor(Messages::TMessage &Message);
	MESSAGE void __fastcall EMCtlColorEx(Messages::TMessage &Message);
	MESSAGE void __fastcall EMDraw(Messages::TMessage &Message);
	MESSAGE void __fastcall EMFindBrace(Messages::TMessage &Message);
	MESSAGE void __fastcall EMPrint(Messages::TMessage &Message);
	MESSAGE void __fastcall EMWordClick(Messages::TMessage &Message);
	MESSAGE void __fastcall EMWordWrap(Messages::TMessage &Message);
	MESSAGE void __fastcall EMNotifyFound(Messages::TMessage &Message);
	MESSAGE void __fastcall EMReadPreview(Messages::TMessage &Message);
	MESSAGE void __fastcall EMPrintJobName(Messages::TMessage &Message);
	MESSAGE void __fastcall ENInsertMode(Messages::TMessage &Message);
	MESSAGE void __fastcall ENOverwriteMode(Messages::TMessage &Message);
	MESSAGE void __fastcall WMGetDlgCode(Messages::TWMNoParams &Message);
	HIDESBASE MESSAGE void __fastcall WMKeyDown(Messages::TWMKey &Message);
	HIDESBASE MESSAGE void __fastcall WMRButtonDown(Messages::TWMMouse &Message);
	HIDESBASE MESSAGE void __fastcall WMRButtonUp(Messages::TWMMouse &Message);
	
protected:
	virtual void __fastcall CreateParams(Controls::TCreateParams &Params);
	virtual void __fastcall CreateWindowHandle(const Controls::TCreateParams &Params);
	virtual void __fastcall CreateWnd(void);
	HIDESBASE int __fastcall GetTextLen(void);
	virtual void __fastcall InsStr( System::AnsiString IStr);
	virtual bool __fastcall GetReadOnly(void);
	virtual void __fastcall SetReadOnly(bool Value);
	virtual bool __fastcall GetHasFile(void);
	virtual void __fastcall SetHasFile(bool Value);
	virtual void __fastcall AskIfStoreFile(void);
	virtual void __fastcall Change(void);
	virtual void __fastcall ChangeMode(void);
	virtual void __fastcall ClipboardError(void);
	virtual void __fastcall FileError(void);
	virtual void __fastcall FileNew(void);
	virtual void __fastcall GoingToClose(void);
	virtual void __fastcall GotFocus(void);
	virtual void __fastcall HorzScroll(void);
	virtual void __fastcall LostFocus(void);
	virtual void __fastcall MaxLine(void);
	virtual void __fastcall NewFont(void);
	virtual void __fastcall SpaceError(void);
	virtual void __fastcall TimeToLoadText(void);
	virtual void __fastcall VertScroll(void);
	__property Ledlp32a::TLEAboutBox* About = {read=FLEAbout, write=FLEAbout, nodefault};
	__property Align ;
	__property bool As1632 = {read=F16As32, write=Set16As32, nodefault};
	__property bool AutoIndent = {read=FAutoIndent, write=SetAutoIndent, default=0};
	__property bool AutoSelect = {read=FAutoSelect, write=FAutoSelect, default=1};
	__property Graphics::TColor BackColorSelected = {read=FBackColorSel, write=SetBackColorSel, default=-2147483635
		};
	__property TLEBookmarksMax BookmarksMax = {read=FBookmarksMax, write=SetBookmarksMax, default=16};
	__property Forms::TBorderStyle BorderStyle = {read=FBorderStyle, write=SetBorderStyle, default=1};
	__property bool CanChangeFile = {read=FCanChangeFile, write=SetCanChangeFile, default=1};
	__property bool CanChangeFont = {read=FCanChangeFont, write=SetCanChangeFont, default=1};
	__property Word CaretWidth = {read=FCaretWidth, write=SetCaretWidth, default=0};
	__property Color ;
	__property Ctl3D ;
	__property bool CurrentWordAsText = {read=FCurrentWordAsText, write=SetCurrentWordAsText, default=0
		};
	__property System::AnsiString DefaultExt = {read=FDefaultExt, write=SetDefaultExt, nodefault};
	__property bool DefaultSelection = {read=FDefaultSelection, write=SetDefaultSelection, default=1};
	__property DragCursor ;
	__property DragMode ;
	__property Enabled ;
	__property long EndLine = {read=GetSelEndLine, write=SetSelEndLine, nodefault};
	__property int EndPos = {read=GetSelEndPos, write=SetSelEndPos, nodefault};
	__property TLESpaceStyle ExtraHorzSpacing = {read=GetExtraHorzSpacing, write=SetExtraHorzSpacing, default=0
		};
	__property TLESpaceStyle ExtraVertSpacing = {read=GetExtraVertSpacing, write=SetExtraVertSpacing, default=0
		};
	__property bool ExtraComments = {read=FExtraComments, write=SetExtraComments, nodefault};
	__property System::AnsiString FileMask = {read=GetFileMask, write=SetFileMask, nodefault};
	__property System::AnsiString FileName = {read=GetFilename, write=SetFilename, nodefault};
	__property long FirstVisibleLine = {read=GetFirstVisibleLine, write=SetFirstVisibleLine, nodefault}
		;
	__property Word FirstVisiblePos = {read=GetFirstVisiblePos, write=SetFirstVisiblePos, nodefault};
	__property Font ;
	__property Graphics::TColor ForeColorSelected = {read=FForeColorSel, write=SetForeColorSel, default=-2147483634
		};
	__property int GroupNumber = {read=FGroupNumber, write=SetGroupNumber, default=0};
	__property bool HasFile = {read=GetHasFile, write=SetHasFile, nodefault};
	__property TLEPopupStyle HasMenu = {read=FHasMenu, write=SetHasMenu, default=2};
	__property bool Highlight = {read=FHighlight, write=SetHighlight, default=0};
	__property TLEInitStyle InitializeType = {read=FInitType, write=SetInitType, default=1};
	__property bool InsertMode = {read=FInsertMode, write=SetInsertMode, default=1};
	__property bool Item2AsComment = {read=FItem2AsComment, write=SetItem2AsComment, nodefault};
	__property bool MacStyleSave = {read=FMacStyleSave, write=SetMacStyleSave, default=0};
	__property bool MultiLineItems = {read=FMultiLineItems, write=SetMultiLineItems, default=0};
	__property bool MultiLineStrings = {read=FMultiLineStrings, write=SetMultiLineStrings, default=0};
	__property bool NoPrintDialog = {read=FNoPrintDialog, write=SetNoPrintDialog, default=0};
	__property bool NoPrintProgress = {read=FNoPrintProgress, write=SetNoPrintProgress, default=0};
	__property TLEPaintStyle PaintMode = {read=FPaintMode, write=SetPaintMode, default=0};
	__property ParentColor ;
	__property ParentCtl3D ;
	__property ParentFont ;
	__property ParentShowHint ;
	__property PopupMenu ;
	__property System::AnsiString PrintJobName = {read=FPrintJobName, write=SetPrintJobName, nodefault}
		;
	__property bool ReadOnly = {read=GetReadOnly, write=SetReadOnly, default=0};
	__property TLEScrollStyle ScrollBars = {read=FScrollBars, write=SetScrollBars, default=0};
	__property ShowHint ;
	__property bool SingleLineStrings = {read=FSingleLineStrings, write=SetSingleLineStrings, default=0
		};
	__property Word Skip = {read=GetSkip, write=SetSkip, nodefault};
	__property bool StartInComments = {read=FStartInComments, write=SetStartInComments, default=0};
	__property long StartLine = {read=GetSelStartLine, write=SetSelStartLine, nodefault};
	__property int StartPos = {read=GetSelStartPos, write=SetSelStartPos, nodefault};
	__property System::ShortString Syntax = {read=FSyntax, write=SetSyntax};
	__property TabOrder ;
	__property TabStop ;
	__property TLETabStopSize TabStopSize = {read=FTabStopSize, write=SetTabStopSize, default=1};
	__property System::AnsiString Text = {read=GetText, write=SetText, nodefault};
	__property short UndoDepth = {read=FUndoDepth, write=SetUndoDepth, default=-1};
	__property bool UnixStyleSave = {read=FUnixStyleSave, write=SetUnixStyleSave, default=0};
	__property int Version = {read=FLEditVer, write=FFakeVer, nodefault};
	__property Visible ;
	__property bool WantReturns = {read=FWantReturns, write=FWantReturns, default=1};
	__property bool WantTabs = {read=FWantTabs, write=FWantTabs, default=0};
	__property bool WordWrap = {read=FWordWrap, write=SetWordWrap, default=0};
	__property bool WordWrapAuto = {read=FWordWrapAuto, write=SetWordWrapAuto, default=1};
	__property Word WordWrapRMargin = {read=GetWordWrapRMargin, write=SetWordWrapRMargin, nodefault};
	__property Word WordWrapWidth = {read=FWordWrapWidth, write=SetWordWrapWidth, default=0};
	__property bool WrapKeys = {read=FWrapKeys, write=SetWrapKeys, default=1};
	__property Classes::TNotifyEvent OnAskIfStoreFile = {read=FOnAskIfStoreFile, write=FOnAskIfStoreFile
		};
	__property Classes::TNotifyEvent OnChange = {read=FOnChange, write=FOnChange};
	__property Classes::TNotifyEvent OnChangeMode = {read=FOnChangeMode, write=FOnChangeMode};
	__property OnClick ;
	__property Classes::TNotifyEvent OnClipboardError = {read=FOnClipboardError, write=FOnClipboardError
		};
	__property TCHEvent OnControlHighlight = {read=FOnControlHighlight, write=FOnControlHighlight};
	__property OnDblClick ;
	__property OnDragDrop ;
	__property OnDragOver ;
	__property OnEndDrag ;
	__property OnEnter ;
	__property OnExit ;
	__property Classes::TNotifyEvent OnFileError = {read=FOnFileError, write=FOnFileError};
	__property TFBEvent OnFindBrace = {read=FOnFindBrace, write=FOnFindBrace};
	__property Classes::TNotifyEvent OnGoingToClose = {read=FOnGoingToClose, write=FOnGoingToClose};
	__property Classes::TNotifyEvent OnGotFocus = {read=FOnGotFocus, write=FOnGotFocus};
	__property Classes::TNotifyEvent OnHorzScroll = {read=FOnHorzScroll, write=FOnHorzScroll};
	__property OnKeyDown ;
	__property OnKeyPress ;
	__property OnKeyUp ;
	__property Classes::TNotifyEvent OnLostFocus = {read=FOnLostFocus, write=FOnLostFocus};
	__property Classes::TNotifyEvent OnMaxLine = {read=FOnMaxLine, write=FOnMaxLine};
	__property OnMouseDown ;
	__property OnMouseMove ;
	__property OnMouseUp ;
	__property Classes::TNotifyEvent OnNewFile = {read=FOnNewFile, write=FOnNewFile};
	__property Classes::TNotifyEvent OnNewFont = {read=FOnNewFont, write=FOnNewFont};
	__property TPaintEvent OnPaint = {read=FOnPaint, write=FOnPaint};
	__property TPrintEvent OnPrintPage = {read=FOnPrintPage, write=FOnPrintPage};
	__property Classes::TNotifyEvent OnSpaceError = {read=FOnSpaceError, write=FOnSpaceError};
	__property Classes::TNotifyEvent OnTimeToLoadText = {read=FOnTimeToLoadText, write=FOnTimeToLoadText
		};
	__property Classes::TNotifyEvent OnVertScroll = {read=FOnVertScroll, write=FOnVertScroll};
	__property TWordClickEvent OnWordClick = {read=FOnWordClick, write=FOnWordClick};
	__property TWordWrapEvent OnWordBreak = {read=FOnWordBreak, write=FOnWordBreak};
	__property TNotifyFoundEvent OnNotifyFound = {read=FOnNotifyFound, write=FOnNotifyFound};
	__property TReadPreviewEvent OnReadPreview = {read=FOnReadPreview, write=FOnReadPreview};
	
public:
	__fastcall virtual TCustomLEdit(Classes::TComponent* AOwner);
	__fastcall virtual ~TCustomLEdit(void);
	void __fastcall AddStr( System::AnsiString AStr);
	void __fastcall BurnHandle(int BHandle);
	void __fastcall Clear(void);
	void __fastcall ClearSelection(void);
	void __fastcall CopyToClipboard(void);
	void __fastcall CutToClipboard(void);
	void __fastcall DeleteLine(long LineNumber);
	void __fastcall DeleteSelection(void);
	void __fastcall DrawPage(Graphics::TCanvas* DrawDC);
	void __fastcall Duplicate(void);
	void __fastcall EmptyUndoBuffer(void);
	void __fastcall FindBookmark(void);
	void __fastcall FindBrace(void);
	void __fastcall FindNext(void);
	void __fastcall GetDialogLocation(short &X, short &Y, TLEDialogStyle DT);
	void __fastcall GetSelection(void);
	void __fastcall GotoBookmark(Word BmNum);
	void __fastcall InsertStr( System::AnsiString IStr);
	void __fastcall InsertStrPos(long LineNumber, Word PosNumber,  System::AnsiString IStr);
	void __fastcall LoadFromStream(Classes::TStream* Stream);
	void __fastcall NewFile(void);
	void __fastcall NextPage(Graphics::TCanvas* DrawDC);
	void __fastcall OpenFile(void);
	void __fastcall PasteFromClipboard(void);
	void __fastcall Print(void);
	void __fastcall PrinterSetup(void);
	void __fastcall Redo(void);
	void __fastcall ReloadFile(void);
	void __fastcall SaveFile(void);
	void __fastcall SaveFileAs(void);
	void __fastcall SaveToStream(Classes::TStream* Stream);
	void __fastcall SelectAll(void);
	void __fastcall SetBookmark(void);
	void __fastcall SetBookmarkNum(Word BmNum);
	void __fastcall SetDialogLocation(short X, short Y, TLEDialogStyle DT);
	void __fastcall SetScan(void);
	void __fastcall SetSelection(void);
	void __fastcall ShowFindDialog(void);
	void __fastcall ShowFontDialog(void);
	void __fastcall ShowGotoLineDialog(void);
	void __fastcall ShowReplaceDialog(void);
	void __fastcall TranslateLocation(Word X, Word Y, long &Line, Word &Pos, TLETranslateStyle Operation
		);
	void __fastcall Undo(void);
	void __fastcall WindowPosition(HWND Wnd, short X, short Y);
	Word __fastcall Find( System::AnsiString FindText);
	Word __fastcall GetCurrentWord(void);
	Word __fastcall GetLine(char * Buffer, long LineNumber);
	System::AnsiString __fastcall GetLineStr(long LineNumber);
	bool __fastcall GetLocation(long Line, Word Pos, short &X, short &Y);
	Word __fastcall GetRestOfLine(char * Buffer);
	Word __fastcall GetScan(void);
	System::AnsiString __fastcall GetStr(void);
	Word __fastcall GetWord(bool SkipLines);
	System::AnsiString __fastcall GetWrapLine(long LineNumber, Word SkipVal);
	Word __fastcall GetWrapLineLength(long LineNumber, Word SkipVal);
	Word __fastcall GetWrapCount(long LineNumber);
	Word __fastcall LineLength(long LineNumber);
	Word __fastcall LoadFromFile( System::AnsiString FN);
	Word __fastcall NextLine(void);
	Word __fastcall QuietFind( System::AnsiString FindText);
	Word __fastcall Replace( System::AnsiString FindText,  System::AnsiString ReplaceText);
	long __fastcall ReplaceAll( System::AnsiString FindText,  System::AnsiString ReplaceText);
	Word __fastcall SaveToFile( System::AnsiString FN);
	__property TLEBookmarkStyle BookmarkAttr = {read=FBookmarkAttr, write=SetBookmarkAttr, nodefault};
	__property Graphics::TColor BookmarkBackColor = {read=FBookmarkBackColor, write=SetBookmarkBackColor
		, nodefault};
	__property Graphics::TColor BookmarkForeColor = {read=FBookmarkForeColor, write=SetBookmarkForeColor
		, nodefault};
	__property long BookmarkLine = {read=GetBookmarkLine, write=SetBookmarkLine, nodefault};
	__property TLEBookmarkNum BookmarkNumber = {read=FBookmarkNumber, write=SetBookmarkNumber, nodefault
		};
	__property bool CanClose = {read=GetCanClose, nodefault};
	__property bool CanFindNext = {read=GetFindNext, nodefault};
	__property bool CanRedo = {read=GetCanRedo, nodefault};
	__property bool CanUndo = {read=GetCanUndo, nodefault};
	__property long HighlightedLine = {read=GetHighlightedLine, nodefault};
	__property long HighlightedPos = {read=GetHighlightedPos, nodefault};
	__property bool IsLEdit = {read=GetIsLEdit, nodefault};
	__property bool LFocus = {read=FSFocus, write=FSFocus, default=1};
	__property long LineCount = {read=GetLineCount, nodefault};
	__property int MenuPopUpHandle = {read=GetMenuPopupHandle, nodefault};
	__property bool Modified = {read=GetModified, write=SetModified, nodefault};
	__property TLEModifyFlag ModifyFlagNumber = {read=GetModifyFlagNumber, write=SetModifyFlagNumber, nodefault
		};
	__property long MsgResult = {read=FResult, write=FResult, nodefault};
	__property Word PageHeight = {read=GetPageHeight, write=SetPageHeight, nodefault};
	__property Word PageWidth = {read=GetPageWidth, write=SetPageWidth, nodefault};
	__property Word PageWordWrapWidth = {read=GetPageWordWrapWidth, write=SetPageWordWrapWidth, nodefault
		};
	__property long PageFirstLine = {read=GetPageFirstLine, write=SetPageFirstLine, nodefault};
	__property Word PageSkip = {read=GetPageSkip, write=SetPageSkip, nodefault};
	__property long PrintedPageNum = {read=GetPrintedPageNum, nodefault};
	__property TLESearchDir SearchDirection = {read=GetSearchDirection, write=SetSearchDirection, default=1
		};
	__property System::AnsiString SearchFindText = {read=GetSearchText, write=SetSearchText, nodefault}
		;
	__property bool SearchMatchCase = {read=GetSearchMatchCase, write=SetSearchMatchCase, default=0};
	__property System::AnsiString SearchReplaceText = {read=GetReplaceText, write=SetSearchText, nodefault
		};
	__property bool SearchWholeWords = {read=GetSearchWholeWords, write=SetSearchWholeWords, default=0}
		;
	__property long SelLength = {read=GetSelLength, nodefault};
	__property int SelTextHandle = {read=GetBigSelText, write=SetBigSelText, nodefault};
	__property System::AnsiString SelText = {read=GetSelText, write=SetSelText, nodefault};
	__property int TextHandle = {read=GetBigText, write=SetBigText, nodefault};
	__property long TextLength = {read=GetTextLength, nodefault};
	__property short UndoMaxBuffer = {read=GetUndoMaxBuffer, nodefault};
	__property Word UnitsHorizontal = {read=GetUnitsHorizontal, nodefault};
	__property Word UnitsVertical = {read=GetUnitsVertical, nodefault};
	__property TWordDesc WordDesc = {read=FWordDesc, write=FWordDesc};
public:
	/* TWinControl.CreateParented */ __fastcall TCustomLEdit(HWND ParentWindow) : Controls::TWinControl(
		ParentWindow) { }
	
};

class __declspec(delphiclass) TLEdit;
class __declspec(pascalimplementation) TLEdit : public TCustomLEdit
{
	typedef TCustomLEdit inherited;
	
protected:
	virtual void __fastcall KeyPress(char &Key);
	virtual void __fastcall InsStr( System::AnsiString IStr);
	
__published:
	__property About ;
	__property Align ;
	__property AutoIndent ;
	__property BackColorSelected ;
	__property BookmarksMax ;
	__property BorderStyle ;
	__property CanChangeFile ;
	__property CanChangeFont ;
	__property CaretWidth ;
	__property Color ;
	__property Ctl3D ;
	__property CurrentWordAsText ;
	__property DefaultExt ;
	__property DefaultSelection ;
	__property DragCursor ;
	__property DragMode ;
	__property Enabled ;
	__property EndLine ;
	__property EndPos ;
	__property ExtraHorzSpacing ;
	__property ExtraVertSpacing ;
	__property ExtraComments ;
	__property FileMask ;
	__property FileName ;
	__property FirstVisibleLine ;
	__property FirstVisiblePos ;
	__property Font ;
	__property ForeColorSelected ;
	__property GroupNumber ;
	__property HasFile ;
	__property HasMenu ;
	__property Highlight ;
	__property InitializeType ;
	__property InsertMode ;
	__property Item2AsComment ;
	__property MacStyleSave ;
	__property MultiLineItems ;
	__property MultiLineStrings ;
	__property NoPrintDialog ;
	__property NoPrintProgress ;
	__property PaintMode ;
	__property ParentColor ;
	__property ParentCtl3D ;
	__property ParentFont ;
	__property ParentShowHint ;
	__property PopupMenu ;
	__property PrintJobName ;
	__property ReadOnly ;
	__property ScrollBars ;
	__property ShowHint ;
	__property SingleLineStrings ;
	__property Skip ;
	__property StartInComments ;
	__property StartLine ;
	__property StartPos ;
	__property Syntax ;
	__property TabOrder ;
	__property TabStop ;
	__property TabStopSize ;
	__property Text ;
	__property UndoDepth ;
	__property UnixStyleSave ;
	__property Version ;
	__property Visible ;
	__property WantReturns ;
	__property WantTabs ;
	__property WordWrap ;
	__property WordWrapAuto ;
	__property WordWrapRMargin ;
	__property WordWrapWidth ;
	__property WrapKeys ;
	__property OnAskIfStoreFile ;
	__property OnChange ;
	__property OnChangeMode ;
	__property OnClick ;
	__property OnClipboardError ;
	__property OnControlHighlight ;
	__property OnDblClick ;
	__property OnDragDrop ;
	__property OnDragOver ;
	__property OnEndDrag ;
	__property OnEnter ;
	__property OnExit ;
	__property OnFileError ;
	__property OnFindBrace ;
	__property OnGoingToClose ;
	__property OnGotFocus ;
	__property OnHorzScroll ;
	__property OnKeyDown ;
	__property OnKeyPress ;
	__property OnKeyUp ;
	__property OnLostFocus ;
	__property OnMaxLine ;
	__property OnMouseDown ;
	__property OnMouseMove ;
	__property OnMouseUp ;
	__property OnNewFile ;
	__property OnNewFont ;
	__property OnNotifyFound ;
	__property OnPaint ;
	__property OnPrintPage ;
	__property OnReadPreview ;
	__property OnSpaceError ;
	__property OnTimeToLoadText ;
	__property OnVertScroll ;
	__property OnWordClick ;
	__property OnWordBreak ;
public:
	/* TCustomLEdit.Create */ __fastcall virtual TLEdit(Classes::TComponent* AOwner) : Ledlp32::TCustomLEdit(
		AOwner) { }
	/* TCustomLEdit.Destroy */ __fastcall virtual ~TLEdit(void) { }
	
public:
	/* TWinControl.CreateParented */ __fastcall TLEdit(HWND ParentWindow) : Ledlp32::TCustomLEdit(ParentWindow
		) { }
	
};

class __declspec(delphiclass) TLEPropAbout;
class __declspec(pascalimplementation) TLEPropAbout : public Dsgnintf::TClassProperty
{
	typedef Dsgnintf::TClassProperty inherited;
	
public:
	virtual void __fastcall Edit(void);
	virtual Dsgnintf::TPropertyAttributes __fastcall GetAttributes(void);
	void __fastcall ShowAbout(void);
public:
	/* TPropertyEditor.Destroy */ __fastcall virtual ~TLEPropAbout(void) { }
	
public:
	/* TObject.Create */ __fastcall TLEPropAbout(void) : Dsgnintf::TClassProperty() { }
	
};

//-- var, const, procedure ---------------------------------------------------
#define ES_HASFILE (Byte)(1)
#define ES_HASMENU (Byte)(2)
#define ES_HASNOTPOPUP (Byte)(4)
#define ES_CANCHANGEFONT (Byte)(8)
#define ES_CANCHANGEFILE (Byte)(16)
#define ES_FOLLOWFILENAME (Byte)(32)
#define ES_USESHORTNAME (Byte)(64)
#define ES_FILELOWER (Byte)(128)
#define ES_LOADFROMPARAM (Word)(256)
#define ES_HIGHLIGHT (Word)(512)
#define ES_TRANSPARENT (Word)(1024)
#define ES_SMALLINDENT (Word)(4096)
#define ES_BIGINDENT (Word)(8192)
#define ES_SMALLSPACING (Word)(16384)
#define ES_BIGSPACING (int)(32768)
#define ES_STANDALONE (Word)(4147)
#define ES_MDICHILD (Word)(4129)
#define EC_DEFAULT_LEDIT_ID (Word)(1000)
#define EC_FILENEW (Word)(1001)
#define EC_FILEOPEN (Word)(1002)
#define EC_FILEREOPEN (Word)(1003)
#define EC_FILESAVE (Word)(1004)
#define EC_FILESAVEAS (Word)(1005)
#define EC_FILEPRINT (Word)(1006)
#define EC_FILEPRINTERSETUP (Word)(1007)
#define EC_EDITUNDO (Word)(1011)
#define EC_EDITREDO (Word)(1012)
#define EC_EDITCUT (Word)(1013)
#define EC_EDITCOPY (Word)(1014)
#define EC_EDITPASTE (Word)(1015)
#define EC_EDITCLEAR (Word)(1016)
#define EC_EDITDUPLICATE (Word)(1017)
#define EC_EDITSELECTALL (Word)(1018)
#define EC_SEARCHFIND (Word)(1021)
#define EC_SEARCHNEXT (Word)(1022)
#define EC_SEARCHREPLACE (Word)(1023)
#define EC_SEARCHBRACE (Word)(1024)
#define EC_SEARCHLINE (Word)(1025)
#define EC_SEARCHBOOKMARK (Word)(1026)
#define EC_SEARCHSETBOOKMARK (Word)(1027)
#define EC_TOOLSCHANGEFONT (Word)(1031)
#define EC_TOOLSCLEARUNDOBUFFER (Word)(1032)
#define EC_TOOLSCLEARALL (Word)(1033)
#define EM_STARTRESERVED (Word)(1024)
#define EM_CUT (Word)(768)
#define EM_COPY (Word)(769)
#define EM_PASTE (Word)(770)
#define EM_CLEAR (Word)(771)
#define EMP_SELECTION (Byte)(0)
#define EMP_UNDO (Byte)(0)
#define EMP_REDO (Byte)(1)
#define EM_EX_GETSEL (Word)(1024)
#define EM_EX_SETSEL (Word)(1025)
#define EM_GETSELTEXTLENGTH (Word)(1026)
#define EM_GETSELTEXT (Word)(1027)
#define EM_SETTEXTFROMFILE (Word)(1028)
#define EM_GETTEXTTOFILE (Word)(1029)
#define EM_SETFILEFILTER (Word)(1030)
#define EM_SETINSERTMODE (Word)(1031)
#define EMP_SET (Byte)(1)
#define EMP_CLEAR (Byte)(0)
#define EMP_TOGGLE (Byte)(2)
#define EM_EX_GETMODIFY (Word)(1032)
#define EM_EX_SETMODIFY (Word)(1033)
#define EM_EX_GETLINECOUNT (Word)(1034)
#define EM_SETLOGFONT (Word)(1035)
#define EM_EX_SETHANDLE (Word)(1036)
#define EM_EX_GETHANDLE (Word)(1037)
#define EMP_32_HOST (Byte)(0)
#define EMP_32_MENU (Byte)(1)
#define EMP_32_POPUP (Byte)(2)
#define EMP_32_ID (Byte)(3)
#define EMP_32_GROUP (Byte)(4)
#define EM_GETHORZPOSITION (Word)(1038)
#define EM_GETFILENAME (Word)(1039)
#define EM_GETLOGFONT (Word)(1040)
#define EM_EX_LINELENGTH (Word)(1041)
#define EM_EX_REPLACESEL (Word)(1042)
#define EM_EX_GETLINE (Word)(1044)
#define EM_FREE45 (Word)(1045)
#define EM_EX_CANUNDO (Word)(1046)
#define EM_EX_UNDO (Word)(1047)
#define EM_CANFINDNEXT (Word)(1048)
#define EM_GETUNITS (Word)(1049)
#define EM_ENABLEMENU (Word)(1050)
#define EM_EX_SETTABSTOPS (Word)(1051)
#define EM_SETSYNTAX (Word)(1052)
#define EMP_ITEM2ASCOMMENT (Byte)(1)
#define EMP_EXTRACOMMENTS (Byte)(2)
#define EM_EX_EMPTYUNDOBUFFER (Word)(1053)
#define EM_EX_GETFIRSTVISIBLELINE (Word)(1054)
#define EM_EX_SETREADONLY (Word)(1055)
#define EM_SETUNDOPARAM (Word)(1056)
#define EM_GETMAXUNDOBUFFER (Word)(1057)
#define EM_FREE58 (Word)(1058)
#define EM_SETSCAN (Word)(1059)
#define EM_GETWORD (Word)(1060)
#define EMP_WITHINLINE (Byte)(0)
#define EMP_WITHINTEXT (Byte)(1)
#define EMP_ENDFILE (Byte)(1)
#define EMP_ENDLINE (Byte)(4)
#define EM_NEXTLINE (Word)(1061)
#define EM_GETRESTOFLINE (Word)(1062)
#define EM_GETSCAN (Word)(1063)
#define EM_GETCURRENTWORD (Word)(1064)
#define EMP_WHITESPACE (Byte)(4)
#define EM_CLOSE (Word)(1065)
#define EM_ISLEDITWINDOW (Word)(1066)
#define EM_SETRUNTIMEFLAGS (Word)(1067)
#define EMP_DEFAULTSELECTION (Byte)(1)
#define EMP_AUTOINDENT (Byte)(2)
#define EMP_MULTILINEITEMS (Byte)(4)
#define EMP_CURRENTWORDASTEXT (Byte)(8)
#define EMP_UNIXSTYLESAVE (Byte)(16)
#define EMP_16_AS32 (Byte)(32)
#define EMP_32_PRESERVEBITMAP (Byte)(64)
#define EMP_MACSTYLESAVE (Byte)(128)
#define EMP_STARTINCOMMENTS (Word)(256)
#define EMP_SINGLELINESTRINGS (Word)(512)
#define EMP_MULTILINESTRINGS (Word)(1024)
#define EMP_NOPRINTDIALOG (Word)(2048)
#define EMP_NOPRINTPROGRESS (Word)(4096)
#define EMP_WRAPKEYS (Word)(8192)
#define EMP_NOEXTLEADING (Word)(16384)
#define EM_GETFILEFILTER (Word)(1068)
#define EM_CTLCOLOR (Word)(1069)
#define EM_CTLCOLOREX (Word)(1070)
#define EM_DRAW (Word)(1071)
#define EMF_NOBITMAP (Byte)(0)
#define EMF_DELETEBITMAP (Byte)(1)
#define EMF_PRESERVEBITMAP (Byte)(2)
#define EM_FINDBRACE (Word)(1072)
#define EMF_NOBRACE (Byte)(0)
#define EMF_HASLEFT (Byte)(1)
#define EMF_HASRIGHT (Byte)(2)
#define EMF_CASEINSENSITIVE (Byte)(4)
#define EM_WORDCLICK (Word)(1073)
#define EM_DUMMY (Word)(1080)
#define EM_FREE80 (Word)(1080)
#define EM_SETBMLINE (Word)(1081)
#define EM_GETBMLINE (Word)(1082)
#define EM_SETBMATTRIBUTES (Word)(1083)
#define EMP_SETBKCOLOR (Byte)(1)
#define EMP_SETTEXTCOLOR (Byte)(2)
#define EMP_STARTBKCOLOR (Byte)(4)
#define EMP_STOPBKCOLOR (Byte)(8)
#define EMP_STARTTEXTCOLOR (Byte)(16)
#define EMP_STOPTEXTCOLOR (Byte)(32)
#define EMP_STARTCOLORS (Byte)(20)
#define EMP_STOPCOLORS (Byte)(40)
#define EM_ATTACH (Word)(1084)
#define EM_SETMETRICS (Word)(1085)
#define EMP_HSCROLL (Byte)(1)
#define EMP_VSCROLL (Byte)(2)
#define EM_GETMETRICS (Word)(1086)
#define EM_SETHIGHLIGHT (Word)(1087)
#define EM_SETTRANSPARENT (Word)(1088)
#define EM_RESETFILESTATE (Word)(1089)
#define EMP_NOFILE (Byte)(0)
#define EMP_EMPTYFILE (Byte)(1)
#define EM_SETFINDTEXT (Word)(1090)
#define EMP_FIND (Byte)(0)
#define EMP_REPLACE (Byte)(1)
#define EM_GETFINDTEXT (Word)(1091)
#define EM_SETFINDFLAGS (Word)(1092)
#define EMP_WRAPEND (Byte)(1)
#define EMP_UP (Byte)(2)
#define EMP_WHOLEWORDS (Byte)(4)
#define EMP_MATCHCASE (Byte)(8)
#define EM_GETFINDFLAGS (Word)(1093)
#define EM_FIND (Word)(1094)
#define EMP_REPLACEALL (Byte)(2)
#define EMF_NOTFOUND (Byte)(0)
#define EMF_FOUND (Byte)(1)
#define EM_SETTEXT (Word)(1095)
#define EMP_ALLTEXT (Byte)(1)
#define EM_GETTEXT (Word)(1096)
#define EM_GETTEXTLENGTH (Word)(1097)
#define EM_FREE98 (Word)(1098)
#define EM_FREE99 (Word)(1099)
#define EM_CANEXECUTECOMMAND (Word)(1099)
#define EM_FREE100 (Word)(1100)
#define EM_FREE101 (Word)(1101)
#define EM_SETBMLIMIT (Word)(1102)
#define EM_SETWORDWRAP (Word)(1103)
#define EMP_ACTIVE (Byte)(1)
#define EMP_CUSTOM (Byte)(2)
#define EMP_AUTOMATIC (Byte)(4)
#define EM_WORDWRAP (Word)(1104)
#define EM_DRAWPAGE (Word)(1105)
#define EM_NEXTPAGE (Word)(1106)
#define EM_PRINT (Word)(1107)
#define EM_PRINTEDPAGE (Word)(1108)
#define EM_HIGHLIGHTEDLINE (Word)(1109)
#define EM_HIGHLIGHTEDPOS (Word)(1110)
#define EM_SETCARETWIDTH (Word)(1111)
#define EM_SCROLLVERTICALLY (Word)(1112)
#define EM_SCROLLHORIZONTALLY (Word)(1113)
#define EM_GETSKIP (Word)(1114)
#define EM_GETWRAPLINE (Word)(1115)
#define EM_GETWRAPLINELENGTH (Word)(1116)
#define EM_GETWRAPLINECOUNT (Word)(1117)
#define EM_SETDIALOGLOCATION (Word)(1118)
#define EMP_FINDREPLACE (Byte)(1)
#define EMP_OPENSAVE (Byte)(2)
#define EMP_PRINT (Byte)(3)
#define EMP_PRINTERSETUP (Byte)(4)
#define EMP_PRINTPROGRESS (Byte)(5)
#define EMP_FONT (Byte)(6)
#define EMP_GOTOLINE (Byte)(7)
#define EM_GETDIALOGLOCATION (Word)(1119)
#define EM_TRANSLATELOCATION (Word)(1120)
#define EMP_TOLEFT (Byte)(0)
#define EMP_NEAREST (Byte)(1)
#define EM_GETLOCATION (Word)(1121)
#define EM_NOTIFYFOUND (Word)(1122)
#define EM_READPREVIEW (Word)(1123)
#define EM_PRINTJOBNAME (Word)(1124)
#define EM_NEXT_FREE (Word)(1125)
#define EM_ENDRESERVED (Word)(1199)
#define WD_WORDLENGTH (Word)(1023)
#define WD_ERROR (Byte)(0)
#define WD_SIMPLEWORD (Byte)(1)
#define WD_QUOTEDTEXT (Word)(24577)
#define WD_BADLYQUOTEDTEXT (Word)(8193)
#define WD_SYNTAXITEM (int)(32768)
#define WD_NUMERIC (Byte)(3)
#define WD_HEXSHORT (Word)(1023)
#define WD_HEXBYTE (Word)(1007)
#define WD_HEXINTEGER (Word)(975)
#define WD_HEXWORD (Word)(911)
#define WD_HEXLONG (Word)(783)
#define WD_HEXDWORD (Word)(527)
#define WD_HEXSIZE (Byte)(15)
#define WD_NUMSHORT (Word)(1015)
#define WD_NUMBYTE (Word)(999)
#define WD_NUMITEGER (Word)(967)
#define WD_NUMWORD (Word)(903)
#define WD_NUMLONG (Word)(775)
#define WD_NUMDWORD (Word)(519)
#define WD_NUMSIZE (Byte)(7)
#define WD_NUMSIZEFLOAT (Word)(2055)
#define WD_FLOATSINGLE (Word)(3075)
#define WD_FLOATSIZE (Word)(1027)
#define WD_FLOATUNDERFLOW (Word)(7171)
#define WDF_WORDVALID (Byte)(1)
#define WDF_STARTWITHDIGIT (Byte)(2)
#define WDF_VALIDNUMBER (Byte)(4)
#define WDF_HEXNUMBER (Byte)(8)
#define WDF_FILLBYTESIGN (Byte)(16)
#define WDF_FILLBYTE (Byte)(32)
#define WDF_FILLWORDSIGN (Byte)(64)
#define WDF_FILLWORD (Byte)(128)
#define WDF_FILLLONGSIGN (Word)(256)
#define WDF_FILLLONG (Word)(512)
#define WDF_INTEGER (Word)(512)
#define WDF_VALIDFLOAT (Word)(1024)
#define WDF_FLOAT (Word)(2048)
#define WDF_UNDERFLOW (Word)(4096)
#define WDF_LEFTQUOTE (Word)(8192)
#define WDF_RIGHTQUOTE (Word)(16384)
#define WDF_SYNTAXITEM (int)(32768)
#define EN_INSERTMODE (Word)(800)
#define EN_OVERWRITEMODE (Word)(801)
#define EN_NEWFILE (Word)(1024)
#define EN_NEWFONT (Word)(1025)
#define EN_FILEERROR (Word)(1500)
#define EN_CLIPBOARD (Word)(1501)
#define EN_GOINGTOCLOSE (Word)(2048)
#define EN_STOREFILE (Word)(2049)
#define EN_CREATED (Word)(2100)
#define EN_DESTROY (Word)(2101)
#define CMD_DOITYOURSELF (Byte)(0)
#define CMD_REPLYYES (Byte)(1)
#define CMD_REPLYOK (Byte)(1)
#define CMD_REPLYNO (Byte)(2)
#define CMD_REPLYCANCEL (Byte)(3)

}	/* namespace Ledlp32 */
#if !defined(NO_IMPLICIT_NAMESPACE_USE)
using namespace Ledlp32;
#endif
//-- end unit ----------------------------------------------------------------
#endif	// LEDlp32
